Follow

What operating systems are compatible with the Leitz Icon printer?

System requirements for Leitz Icon: Windows 7, 8 and 10;  Macintosh OS X version 10.9 and later; iOS 8 or later; Android 4.1.2.

 

Was this article helpful?
0 out of 1 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk